QScintilla: QsciLexerProperties Class Reference

QScintilla 2.6.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Public Member Functions | Protected Member Functions
QsciLexerProperties Class Reference

`#include <qscilexerproperties.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, Section = 2,
  Assignment = 3, DefaultValue = 4, Key = 5
  }

## Public Slots

- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QsciLexerProperties (QObject *parent=0)
- virtual ~QsciLexerProperties ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- QString description (int style) const
- void refreshProperties ()
- bool foldCompact () const
- void setInitialSpaces (bool enable)
- bool initialSpaces () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerProperties class encapsulates the Scintilla Properties lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Properties lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Section | A section.
  Assignment | An assignment operator.
  DefaultValue | A default value.
  Key | A key.

## Constructor & Destructor Documentation

QsciLexerProperties::QsciLexerProperties | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerProperties with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerProperties::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

QColor QsciLexerProperties::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QColor QsciLexerProperties::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

QString QsciLexerProperties::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerProperties::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerProperties::foldCompact | ( |  | ) | const`[inline]`

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

void QsciLexerProperties::setInitialSpaces | ( | bool | enable | ) |

If enable is true then initial spaces in a line are allowed. The default is true.

See also:
  initialSpaces()

bool QsciLexerProperties::initialSpaces | ( |  | ) | const`[inline]`

Returns true if initial spaces in a line are allowed.

See also:
  setInitialSpaces()

virtual void QsciLexerProperties::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerProperties::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  writeProperties()

Reimplemented from QsciLexer.

bool QsciLexerProperties::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  readProperties()

Reimplemented from QsciLexer.